<?php

class Drunit_Extensions_SeleniumTestCase extends PHPUnit_Extensions_SeleniumTestCase {

  protected $captureScreenshotOnFailure = TRUE;
  protected $screenshotPath = DRUNIT_FILEPATH_FILES_SCREENSHOTS;
  protected $screenshotUrl = DRUNIT_URL_FILES_SCREENSHOTS;
  
  protected function setUp() {
    $this->setBrowser("*chrome");
    parent::setUp();
  }
  
  public function run(PHPUnit_Framework_TestResult $result = NULL) {
    $this->setPreserveGlobalState(FALSE);
    $this->setBackupGlobals(FALSE);
    $this->setBackupStaticAttributes(FALSE);
    $this->setRunTestInSeparateProcess(TRUE);
    return parent::run($result);
  }

}